<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class HinterlegungZahlwert extends HinterlegungDefault
{
  
  public $spaltentitel = '';

  
  public function __construct()
  {
    parent::__construct();
    $this->spaltentitel = GetOperations::getVarValue('spaltentitel');
    $wertvon = 20;
    $wertbis = 180;
    $zahlvon = GetOperations::getVarValue('zahlvon');
    $zahlbis = GetOperations::getVarValue('zahlbis');
    if (!empty($zahlvon)) {
      $wertvon = $zahlvon;
    }
    if (!empty($zahlbis)) {
      $wertbis = $zahlbis;
    }
    $this->data = array();
    for ($i = $wertvon;$i <= $wertbis;$i++) {
      $this->data[] = $i;
    }
  }

  
  public function GetValueAt($row, $column)
  {
    return $this->data[$row];
  }

  
  public function GetColumnCount()
  {
    return 1;
  }

  
  public function GetColumnTitle($col)
  {
    if (!empty($this->spaltentitel)) {
      return $this->spaltentitel;
    }

    return 'Gr&ouml;&szlig;e (in Pixel)';
  }

  
  public function GetColumnWidth($col)
  {
    return '100px';
  }
}